package com.style24.front.support.env;

/**
 * 변경될 소지가 있는 변수 값을 정의
 *
 * @author gagamel
 * @since 2020. 9. 11
 */
public class TsfConstants {

	// 쿠키 Prefix
	public static final String CK_PREFIX = "st24ck";

	// SNS로그인
	public static final String SNSLOGIN_PREFIX = "SNSLOGIN!@#-";

	// 자동로그인 RememberMe
	public static final String REMEMBER_ME_KEY = "style24";
	public static final String REMEMBER_ME_PARAMETER = "rememberMe";
	public static final int REMEMBER_ME_LIMIT = 365; // 365일간유효
	public static final int REMEMBER_ME_LIMIT_SECONDS = 31536000; // 365일간유효

	// 로그인블락실패건수
	public static final int LOGIN_BLOCK_FAIL_CNT = 10;

	// 카테고리구분
	public enum CateGb {
		BYITEM("G032_101"), BYBRAND("G032_102"), BYOUTLET("G032_103");

		private String value;

		private CateGb(String value) {
			this.value = value;
		}

		public String value() {
			return value;
		}
	}

	// 카테고리유형
	public enum CateType {
		GOODS("G031_10"), CONTENTS("G031_20");

		private String value;

		private CateType(String value) {
			this.value = value;
		}

		public String value() {
			return value;
		}
	}

	// 정산구분상태
	public enum OrdDtlItemStat {

		SALE_PAYMENT_COMPLETE("G720_10"), 			// 판매-결제완료
		SALE_SHIPPING("G720_20"),					// 판매-배송완료
		SALE_RETURN_CANCEL("G720_30"), 				// 환입-취소완료
		SALE_RETURN_SOLDOUT_CANCEL("G720_40"),		// 환입-품절취소
		SALE_RETURN_RETURN_COMPLETE("G720_50"),		// 환입-반품완료
		SALE_RETURN_EXCHANGE_COMPLETE("G720_60");	// 환입-교환완료

		private String value;

		private OrdDtlItemStat(String value) {
			this.value = value;
		}

		public String value() {
			return value;
		}
	}

//	// 카테고리구분
//	public enum CATE_GB {
//		BYITEM("101"), BYBRAND("102"), BYOUTLET("103");
//
//		private String value;
//
//		private CATE_GB(String value) {
//			this.value = value;
//		}
//
//		public String value() {
//			return value;
//		}
//	}
//
//	// 대카테고리
//	public enum TCATE_CD {
//		WOMEN("100"), MEN("200"), LIFE("300"), OUTLET("1647");
//
//		private String value;
//
//		private TCATE_CD(String value) {
//			this.value = value;
//		}
//
//		public String value() {
//			return value;
//		}
//	}
}
